Yate: ClientFile Class Reference

Yate

Public Member Functions | Protected Attributes | List of all members
ClientFile Class Reference

A file. More...

`#include <yatecbase.h>`

Inheritance diagram for ClientFile:

## Public Member Functions
| ClientFile (const char *name, const NamedList *params=0)
| ClientFile (const ClientFile &other)
NamedList & | params ()
const NamedList & | params () const
virtual ClientFile * | file ()
Public Member Functions inherited from ClientFileItem
| ClientFileItem (const char *name)
const String & | name () const
virtual ClientDir * | directory ()
virtual const String & | toString () const
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Protected Attributes
NamedList | m_params

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

A file.

This class holds file info

## Constructor & Destructor Documentation

## ◆ ClientFile() [1/2]

ClientFile | ( | const char * | name,
|  | const NamedList * | params = 0 )
| inline

Constructor

Parameters

  name | File name
  params | Optional file parameters

References ClientFileItem::ClientFileItem(), ClientFileItem::name(), and params().

Referenced by ClientFile(), and file().

## ◆ ClientFile() [2/2]

ClientFile | ( | const ClientFile & | other | ) |
| inline

Copy constructor

Parameters

  other | Source object

References ClientFile(), ClientFileItem::ClientFileItem(), ClientFileItem::name(), and params().

## Member Function Documentation

## ◆ file()

virtual ClientFile * file | ( |  | ) |
| inlinevirtual

Check if this item is a file

Returns
  ClientFile pointer

Reimplemented from ClientFileItem.

References ClientFile().

## ◆ params() [1/2]

NamedList & params | ( |  | ) |
| inline

Retrieve item parameters

Returns
  Item parameters

Referenced by ClientFile(), and ClientFile().

## ◆ params() [2/2]

const NamedList & params | ( |  | ) | const
| inline

Retrieve item parameters

Returns
  Item parameters

The documentation for this class was generated from the following file:

- yatecbase.h